Results 1 to 6 of 6

Thread: Banshee and *.m4a

  1. #1
    Join Date
    Jun 2008
    Location
    United States
    Posts
    423

    Default Banshee and *.m4a

    Hey all,

    I'm using Banshee as my primary audio player, and I really like it, but I have one problem: I can't play any songs in the m4a format, which basically my entire iTunes library is made up of. I downloaded the SUSE package that contains Java and the basic file extensions, but still no solution. I have Banshee updated to the most current version (0.13.1).

    Any ideas?

    Thanks in advance!

  2. #2

    Default Re: Banshee and *.m4a

    Try going through this tutorial. Pay particular attention to the section that mentions adding w32codec-all.
    Hacking openSUSE 10.3 - Sofware in Review

    The above assumes that you are running OpenSUSE 10.3. If you are running 11.0 you may have to wait until Packman contains the directory suse/11.0. This should be shortly after 11.0 final in (9) days.

  3. #3
    Join Date
    Jun 2008
    Location
    United States
    Posts
    423

    Default Re: Banshee and *.m4a

    Okay, I downloaded the Xine-Lib files and something is still missing. I got all of the files to be imported, but none of them play now: if I double-click to play them, they sit on 0:00 and although it says they are playing, I can't even move the slider for the song time (where in the song you want to play).

  4. #4

    Default Re: Banshee and *.m4a

    I don't run Banshee, but when I did it used to depend on having the correct GStreamer plugins installed.
    PackMan :: Search results

    Couldn't tell you which one you might be missing though. (Anything with 'good, bad, & ugly' in it's name must be good )
    A Banshee user needs to help you. Good luck, from an Amarok user...LOL.

  5. #5
    nsciboi NNTP User

    Default Re: Banshee and *.m4a

    i believe the package you're looking for is

    gstreamer-0_10-plugins-bad

  6. #6
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    27,109
    Blog Entries
    40

    Default Re: Banshee and *.m4a

    Quote Originally Posted by nsciboi View Post
    i believe the package you're looking for is

    gstreamer-0_10-plugins-bad
    I think nsciboli could be correct. It can be difficult sorting these audio requirements at times, as different names are used for the codec. In the case of m4a this wiki:
    MPEG-4 Part 14 - Wikipedia, the free encyclopedia
    notes m4a, mp4 and mpeg-4 are often used in a manner that is confusing.

    Unseen-Ghost, you could search the packman site for mpeg4 to see what hits you get, but even that won't give you a link to gst-plugins-bad. But after reading nsiboli's post, I went to the gstreamer site and noted this:
    Release notes for GStreamer Bad Plug-ins_0.10.8_Vapour Trails
    where a fix to the latest gstreamer is "MPEG-4 video stream parser fixes" suggesting it supports MPEG4 and hence m4a. And if you find that a bit confusing to logically search for the app that gives the correct codec, ... well, ... so do I.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •